require_relative '../lib/studio_game/player'
require_relative '../lib/studio_game/game'
require_relative '../lib/studio_game/clumsy_player'
require_relative '../lib/studio_game/berserk_player'

# player1 = Player.new("moe")
# player2 = Player.new("larry", 60)
# player3 = Player.new("curly", 125)


knuckleheads = StudioGame::Game.new("knuckleheads")
default_player_file = File.join(File.dirname(__FILE__), 'players.csv')
knuckleheads.load_players(ARGV.shift || default_player_file)
klutz = StudioGame::ClumsyPlayer.new("klutz", 105)
knuckleheads.add_player(klutz)
berserker = StudioGame::BerserkPlayer.new("berserker", 50)
knuckleheads.add_player(berserker)


# knuckleheads.add_player(player1)
# knuckleheads.add_player(player2)
# knuckleheads.add_player(player3)

# knuckleheads.play(10) do
# 	knuckleheads.total_points >= 2000
# end



loop do
	puts "\nHow many game rounds? ('quit' to exit)"
	answer = gets.chomp.downcase
	case answer
	when /^\d+$/
		knuckleheads.play(answer.to_i)
	when 'quit', 'exit'
		knuckleheads.print_stats
		break
	else
		puts "Please enter a number or 'quit'"
	end
end
knuckleheads.save_high_scores